%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate instant

Name:           rust-instant
Version:        0.1.13
Release:    1%{?dist}
Summary:        Partial replacement for std::time::Instant that works on WASM too

License:        BSD-3-Clause
URL:            https://crates.io/crates/instant
Source0:         %{crates_source}
Patch:          instant-fix-metadata-auto.diff
Patch:          instant-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A partial replacement for std::time::Instant that works on WASM too.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+inaccurate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+inaccurate-devel %{_description}

This package contains library source intended for building other packages which
use the "inaccurate" feature of the "%{crate}" crate.

%files       -n %{name}+inaccurate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+now-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+now-devel %{_description}

This package contains library source intended for building other packages which
use the "now" feature of the "%{crate}" crate.

%files       -n %{name}+now-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
rm tests/wasm.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.13-1
- initial build
